Uploaded image for project: 'Byteman'
  1. Byteman
  2. BYTEMAN-290

Byteman should upgrade to a later version of asm

    Details

      Description

      Byteman is currently using asm 3.3.1. Unfortunately, this release is not capable of handling bytecode which includes some of the newer elements of bytecode introduced in recent JDKs. Problems appear to exist with try with resources constructs and lambdas.

      Byteman really needs to move up to a later version of asm which can cope with those features. This will probably also present opportunities for Byteman to respond to code using those features but that is not the scope of this JIRA which is merely to ensure that Byteman does not break when it sees them.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  adinn Andrew Dinn
                  Reporter:
                  adinn Andrew Dinn
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: